VMTKSURFACEREGIONDRAWING(1)

NAME
vmtksurfaceregiondrawing - vmtk script vmtksurfaceregiondrawing

DESCRIPTION
Automatic piping vmtksurfaceregiondrawing Parsing options vmtksurfaceregiondrawing

vmtksurfaceregiondrawing : draw a closed contour on a surface and

    generate a distance field on the surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-binary Binary (bool,1); default=1: fill contour with inside value

    instead of distance to contour

-inside InsideValue (float,1); default=0.0: value with which the

    surface within the contour is filled

-outside OutsideValue (float,1); default=1.0: value with which the

    surface outside the contour is filled

-array ContourScalarsArrayName (str,1); default=ContourScalars: the

    name of the array where the generated scalars are stored

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface